opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
opensaml::saml1::AssertionValidator Class Reference

`#include <saml/saml1/profile/AssertionValidator.h>`

Inheritance diagram for opensaml::saml1::AssertionValidator:

## Public Member Functions
| AssertionValidator (const XMLCh *recipient, const std::vector< const XMLCh * > *audiences=nullptr, time_t ts=0)
| Constructor. More...
void | validate (const xmltooling::XMLObject *xmlObject) const
virtual void | validateAssertion (const Assertion &assertion) const
| Type-safe validation method. More...
virtual void | validateCondition (const Condition *condition) const
| Condition validation. More...

## Protected Attributes
const XMLCh * | m_recipient
| Name of recipient (implicit audience). More...
const std::vector< const XMLCh * > * | m_audiences
| Additional audience values. More...
time_t | m_ts
| Timestamp to evaluate assertion conditions. More...

## Detailed Description

Deprecated:
  SAML 1.x basic assertion validator provides time and audience condition checking.

## Constructor & Destructor Documentation

opensaml::saml1::AssertionValidator::AssertionValidator | ( | const XMLCh * | recipient,
|  | const std::vector< const XMLCh * > * | audiences = `nullptr`,
|  | time_t | ts = `0`
| ) |  |

Constructor.

Parameters

  recipient | name of assertion recipient (implicit audience)
  audiences | additional audience values
  ts | timestamp to evaluate assertion conditions, or 0 to bypass check

## Member Function Documentation

virtual void opensaml::saml1::AssertionValidator::validateAssertion | ( | const Assertion & | assertion | ) | const
| virtual

Type-safe validation method.

Parameters

  assertion | assertion to validate

Reimplemented in opensaml::saml1::BrowserSSOProfileValidator.

virtual void opensaml::saml1::AssertionValidator::validateCondition | ( | const Condition * | condition | ) | const
| virtual

Condition validation.

The base class version only understands AudienceRestrictionConditions. All other condition types will be rejected and require subclassing to prevent validation failure.

Parameters

  condition | condition to validate

## Member Data Documentation

const std::vector<const XMLCh*>* opensaml::saml1::AssertionValidator::m_audiences
| protected

Additional audience values.

const XMLCh* opensaml::saml1::AssertionValidator::m_recipient
| protected

Name of recipient (implicit audience).

time_t opensaml::saml1::AssertionValidator::m_ts
| protected

Timestamp to evaluate assertion conditions.

The documentation for this class was generated from the following file:

- saml/saml1/profile/AssertionValidator.h